using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System;

public class BasicBehaviour : MonoBehaviour
{
    float ShipSpeed;
    float ShipBackSpeed;

    void Start()
    {
        ShipSpeed = 0.10f;
        ShipBackSpeed = 0.07f;
    }

    void Update()
    {
        if (Input.GetKey("w"))
        {
            transform.Translate(Vector3.forward * ShipSpeed);
        }

        if (Input.GetKey("s"))
        {
            transform.Translate(Vector3.back * ShipBackSpeed);
        }

        if (Input.GetKey("a"))
        {
            transform.Rotate(Vector3.down * (1 + 0.15f));
        }

        if (Input.GetKey("d"))
        {
            transform.Rotate(Vector3.up * (1 + 0.15f));
        }



        }

    void GetClosestVertex()
    {
        //to only update when ships moves
    }
    //	void FixedUpdate()
   
}
